Bug 588438 - no ipsec tools
Summary: no ipsec tools
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: RHEL Program Management
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 17:59 UTC by Josh
Modified: 2010-05-11 20:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-06 21:06:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Josh 2010-05-03 17:59:38 UTC
Description of problem:
ipsec tools has been removed from rhel6

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. yum search ipsec-tools
2.
3.
  
Actual results:
No results found.

Expected results:
ipsec-tools

Additional info:
This package is needed for racoon and other ipsec tools, why has it been removed from RHEL6 when it is included in both fedora and rhel5?

Thanks

Comment 2 RHEL Program Management 2010-05-03 19:08:28 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Bill Nottingham 2010-05-05 19:18:13 UTC
It has been replaced by openswan.

Comment 4 Josh 2010-05-05 21:00:38 UTC
(In reply to comment #3)
> It has been replaced by openswan.    

Will RHEL6 and openswan be able to inter-operate with RHEL5 and ipsec-tools?

IE, racoon and openswan+netkey work together?

Thanks,
-josh

Comment 5 Bill Nottingham 2010-05-05 21:10:19 UTC
CC'ing openswan maintainer.

Comment 6 Avesh Agarwal 2010-05-05 21:18:52 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > It has been replaced by openswan.    
> 
> Will RHEL6 and openswan be able to inter-operate with RHEL5 and ipsec-tools?

Yes. Openswan follows standard IPsec RFCs, and so does ipsec-tools as I believe.

> 
> IE, racoon and openswan+netkey work together?
Not very clear what you mean here. But Openswan does not work with racoon on the same machine. But as I said above, ipsec-tools + racoon on one end and Openswan+NETKEY on other end should be able to interoperate.

> 
> Thanks,
> -josh

Comment 7 RHEL Program Management 2010-05-06 21:06:56 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.